summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaja2019-03-11 16:54:52 +0100
committerJaja2019-03-11 16:54:52 +0100
commit347e3dbe41b7a15030f17ce962521691d0b7fd2c (patch)
treeee715135b7ed08455943e0953f60e965af1fce27
parent87d94c3bcf08a9a4529da00e6197327e20227569 (diff)
downloadaur-347e3dbe41b7a15030f17ce962521691d0b7fd2c.tar.gz
Quickfix: update + no force Java 8
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD93
2 files changed, 51 insertions, 56 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ec631ebac0d..d81cfa7f534 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,21 +1,21 @@
pkgbase = jsignpdf
pkgdesc = Digital sign PDF files with X.509 certificates.
- pkgver = 1.6.1
- pkgrel = 0
+ pkgver = 1.6.4
+ pkgrel = 1
url = http://jsignpdf.sourceforge.net/
arch = any
license = LGPL
license = MPL
depends = java-runtime>=8
provides = jsignpdf
- source = http://ncu.dl.sourceforge.net/project/jsignpdf/stable/JSignPdf%201.6.1/JSignPdf-1.6.1.zip
+ source = https://downloads.sourceforge.net/project/jsignpdf/stable/JSignPdf%201.6.4/JSignPdf-1.6.4.zip
source = jsignpdf.sh
source = jsignpdf.png
source = jsignpdf.desktop
- md5sums = SKIP
- md5sums = SKIP
- md5sums = SKIP
- md5sums = SKIP
+ md5sums = a459876cba8e2d30abcf9baaf16ff986
+ md5sums = 84b680dbdc61784f05d94a66a012c51d
+ md5sums = 8ea58c7a94f615d15a5f736a9e0b100d
+ md5sums = 8a242f0bc9cfda5f77f53f644d44000b
pkgname = jsignpdf
diff --git a/PKGBUILD b/PKGBUILD
index 23a094e67f9..7adb189690f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,59 +1,54 @@
-# Maintainer : alisoftware <admin@situsali.com>
+# Maintainer: Jaja <jaja@mailbox.org>
+# Co-maintainer: alisoftware <admin@situsali.com>
+#
+
pkgname=jsignpdf
-pkgver=1.6.1
-pkgrel=0
+pkgver=1.6.4
+pkgrel=1
pkgdesc="Digital sign PDF files with X.509 certificates."
arch=('any')
url="http://jsignpdf.sourceforge.net/"
license=('LGPL' 'MPL')
depends=('java-runtime>=8')
provides=('jsignpdf')
-source=("http://ncu.dl.sourceforge.net/project/jsignpdf/stable/JSignPdf%201.6.1/JSignPdf-${pkgver}.zip"
- "jsignpdf.sh"
- "jsignpdf.png"
- "jsignpdf.desktop")
-md5sums=('SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP')
-
+source=("https://downloads.sourceforge.net/project/jsignpdf/stable/JSignPdf%20${pkgver}/JSignPdf-${pkgver}.zip"
+ "jsignpdf.sh"
+ "jsignpdf.png"
+ "jsignpdf.desktop")
+md5sums=('a459876cba8e2d30abcf9baaf16ff986'
+ '84b680dbdc61784f05d94a66a012c51d'
+ '8ea58c7a94f615d15a5f736a9e0b100d'
+ '8a242f0bc9cfda5f77f53f644d44000b')
package() {
- mkdir -p ${pkgdir}/usr/share/java/jsignpdf/
-
- cd ${srcdir}/${pkgname}-${pkgver}
- cp -R * ${pkgdir}/usr/share/java/jsignpdf/
-
- find ${pkgdir}/usr/share/java/jsignpdf/* -type f -exec chmod 644 {} \;
- find ${pkgdir}/usr/share/java/jsignpdf/* -type d -exec chmod 755 {} \;
- chown -R root.root ${pkgdir}/usr/share/java/jsignpdf/* || return 1
-
- # The executable script
- mkdir -p ${pkgdir}/usr/bin/
- install -Dm755 ${srcdir}/jsignpdf.sh \
- ${pkgdir}/usr/bin/jsignpdf || return 1
-
- # Force Java 8
- sed -i 's@exec java@exec /usr/lib/jvm/java-8-openjdk/jre/bin/java@' \
- ${pkgdir}/usr/bin/jsignpdf
-
- # .icon and .desktop files
- install -Dm644 ${srcdir}/jsignpdf.png \
- ${pkgdir}/usr/share/icons/hicolor/scalable/apps/jsignpdf.png || return 1
- install -Dm644 ${srcdir}/jsignpdf.desktop \
- ${pkgdir}/usr/share/applications/jsignpdf.desktop || return 1
-
- # Docs and License
- mkdir -p ${pkgdir}/usr/share/docs/${pkgname}
- mkdir -p ${pkgdir}/usr/share/license/${pkgname}
- cp ${pkgdir}/usr/share/java/jsignpdf/docs/ChangeLog.txt ${pkgdir}/usr/share/docs/${pkgname}/
- cp ${pkgdir}/usr/share/java/jsignpdf/docs/JSignPdf.pdf ${pkgdir}/usr/share/docs/${pkgname}/
- cp ${pkgdir}/usr/share/java/jsignpdf/docs/JSignPdf_signed.pdf ${pkgdir}/usr/share/docs/${pkgname}/
- cp ${pkgdir}/usr/share/java/jsignpdf/docs/ReleaseNotes.txt ${pkgdir}/usr/share/docs/${pkgname}/
- cp ${pkgdir}/usr/share/java/jsignpdf/docs/lgpl-2.1.txt ${pkgdir}/usr/share/license/${pkgname}/
- cp ${pkgdir}/usr/share/java/jsignpdf/docs/MPL-1.1.txt ${pkgdir}/usr/share/license/${pkgname}/
- cp -R ${pkgdir}/usr/share/java/jsignpdf/docs/ThirdPartyLicenses/ ${pkgdir}/usr/share/license/${pkgname}/
-
- # Removing unneeded files
- rm -rf ${pkgdir}/usr/share/java/jsignpdf/docs/ || return 1
+ mkdir -p ${pkgdir}/usr/share/java/jsignpdf/
+ cd ${srcdir}/${pkgname}-${pkgver}
+ cp -R * ${pkgdir}/usr/share/java/jsignpdf/
+ find ${pkgdir}/usr/share/java/jsignpdf/* -type f -exec chmod 644 {} \;
+ find ${pkgdir}/usr/share/java/jsignpdf/* -type d -exec chmod 755 {} \;
+ chown -R root.root ${pkgdir}/usr/share/java/jsignpdf/* || return 1
+ # The executable script
+ mkdir -p ${pkgdir}/usr/bin/
+ install -Dm755 ${srcdir}/jsignpdf.sh \
+ ${pkgdir}/usr/bin/jsignpdf || return 1
+ # Force Java 8
+ # sed -i 's@exec java@exec /usr/lib/jvm/java-8-openjdk/jre/bin/java@' \
+ # ${pkgdir}/usr/bin/jsignpdf
+ # .icon and .desktop files
+ install -Dm644 ${srcdir}/jsignpdf.png \
+ ${pkgdir}/usr/share/icons/hicolor/scalable/apps/jsignpdf.png || return 1
+ install -Dm644 ${srcdir}/jsignpdf.desktop \
+ ${pkgdir}/usr/share/applications/jsignpdf.desktop || return 1
+ # Docs and License
+ mkdir -p ${pkgdir}/usr/share/docs/${pkgname}
+ mkdir -p ${pkgdir}/usr/share/license/${pkgname}
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/ChangeLog.txt ${pkgdir}/usr/share/docs/${pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/JSignPdf.pdf ${pkgdir}/usr/share/docs/${pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/JSignPdf_signed.pdf ${pkgdir}/usr/share/docs/${pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/ReleaseNotes.txt ${pkgdir}/usr/share/docs/${pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/lgpl-2.1.txt ${pkgdir}/usr/share/license/${pkgname}/
+ cp ${pkgdir}/usr/share/java/jsignpdf/docs/MPL-1.1.txt ${pkgdir}/usr/share/license/${pkgname}/
+ cp -R ${pkgdir}/usr/share/java/jsignpdf/docs/ThirdPartyLicenses/ ${pkgdir}/usr/share/license/${pkgname}/
+ # Removing unneeded files
+ rm -rf ${pkgdir}/usr/share/java/jsignpdf/docs/ || return 1
}